com.amazonaws.services.codebuild.model

## Class BatchGetProjectsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codebuild.model.BatchGetProjectsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetProjectsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetProjectsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetProjectsResult` `clone()`
`boolean` `equals(Object obj)`
`List<Project>` `getProjects()` Information about the requested build projects.
`List<String>` `getProjectsNotFound()` The names of build projects for which information could not be found.
`int` `hashCode()`
`void` `setProjects(Collection<Project> projects)` Information about the requested build projects.
`void` `setProjectsNotFound(Collection<String> projectsNotFound)` The names of build projects for which information could not be found.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetProjectsResult` `withProjects(Collection<Project> projects)` Information about the requested build projects.
`BatchGetProjectsResult` `withProjects(Project... projects)` Information about the requested build projects.
`BatchGetProjectsResult` `withProjectsNotFound(Collection<String> projectsNotFound)` The names of build projects for which information could not be found.
`BatchGetProjectsResult` `withProjectsNotFound(String... projectsNotFound)` The names of build projects for which information could not be found.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetProjectsResult

    public BatchGetProjectsResult()

### Method Detail

#### getProjects

    public List<Project> getProjects()

Information about the requested build projects.

Returns:
  Information about the requested build projects.

#### setProjects

    public void setProjects(Collection<Project> projects)

Information about the requested build projects.

Parameters:
  `projects` - Information about the requested build projects.

#### withProjects

    public BatchGetProjectsResult withProjects(Project... projects)

Information about the requested build projects.

NOTE: This method appends the values to the existing list (if any). Use `setProjects(java.util.Collection)` or `withProjects(java.util.Collection)` if you want to override the existing values.

Parameters:
  `projects` - Information about the requested build projects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withProjects

    public BatchGetProjectsResult withProjects(Collection<Project> projects)

Information about the requested build projects.

Parameters:
  `projects` - Information about the requested build projects.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getProjectsNotFound

    public List<String> getProjectsNotFound()

The names of build projects for which information could not be found.

Returns:
  The names of build projects for which information could not be found.

#### setProjectsNotFound

    public void setProjectsNotFound(Collection<String> projectsNotFound)

The names of build projects for which information could not be found.

Parameters:
  `projectsNotFound` - The names of build projects for which information could not be found.

#### withProjectsNotFound

    public BatchGetProjectsResult withProjectsNotFound(String... projectsNotFound)

The names of build projects for which information could not be found.

NOTE: This method appends the values to the existing list (if any). Use `setProjectsNotFound(java.util.Collection)` or `withProjectsNotFound(java.util.Collection)` if you want to override the existing values.

Parameters:
  `projectsNotFound` - The names of build projects for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withProjectsNotFound

    public BatchGetProjectsResult withProjectsNotFound(Collection<String> projectsNotFound)

The names of build projects for which information could not be found.

Parameters:
  `projectsNotFound` - The names of build projects for which information could not be found.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetProjectsResult clone()

Overrides:
  `clone` in class `Object`